<?php

// 1.6.2

function getiDorMobileSipServerUdid() {
    $nhex = "iDorMobileSipServerDevice ";
    $nstr = '';
    for($i = 0; $i < strlen($nhex); $i+=2) {
        $nstr .= chr(hexdec($nhex[$i].$nhex[$i+1]));
    }

    ob_start();
    $name = exec('netstat -ie | grep HWaddr | awk -F"HWaddr " \'{print $2}\'');
    ob_clean();
    // Calculate hash value
    $hash = sha1($nstr . $name);

    $udid = sprintf('%08s-%04s-%04x-%04x-%12s', substr($hash, 0, 8),
        substr($hash, 8, 4),  (hexdec(substr($hash, 12, 4)) & 0x0fff) | 0x5000,
        (hexdec(substr($hash, 16, 4)) & 0x3fff) | 0x8000, substr($hash, 20, 12));

    return $udid;
}

$udid = getiDorMobileSipServerUdid();

if (defined('STDIN')) {
    print $udid;
} else {
    echo "iDor Mobile Sip Server UDID: <b> $udid</b>";
}
?>
